%define esdlver 0.96.0626
Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Name:           wings3d
Version:        0.99.00b
Release:        1
Summary:       	subdivision modeler
Group:         	Graphics 
License:       	BSD  
URL:            http://www.wings3d.com/
Source0:       	wings-%{version}.tar.bz2 
Source1:	wings.desktop
Source2:	wings.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:	glibc-devel
BuildRequires:	erlang_otp
#BuildRequires:	mesa-libGL-devel
#BuildRequires:  mesa-libGLU-devel
#BuildRequires:  SDL-devel

%description
Wings 3D is a subdivision modeler inspired by Nendo and Mirai from Izware.

It is possible to assign materials, vertex color, UV coordinates and textures.

%post
ldconfig

%postun
ldconfig


%prep
%setup -n wings-%{version}

%build
export ESDL_PATH="/usr/lib/erlang/lib/esdl-%{esdlver}"
export CFLAGS=""
export CXXFLAGS="$CFLAGS"
make

%install
%define erlangdir %{_libdir}/erlang
%define wingsdir $RPM_BUILD_ROOT%{_libdir}/wings
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p %{wingsdir}/bin

# copy the wings binaries
mkdir -p %{wingsdir}/lib
mkdir -p %{wingsdir}/lib/wings-%{version}
cp -rf ebin %{wingsdir}/lib/wings-%{version}
cp -rf plugins %{wingsdir}/lib/wings-%{version}
cp -rf fonts %{wingsdir}/lib/wings-%{version}

# copy the erlang kernel binaries
cp -rf %{erlangdir}/lib/kernel* %{wingsdir}/lib
rm -rf %{wingsdir}/lib/kernel*/{examples,include,src}

# copy the erlang stdlib binaries
cp -rf %{erlangdir}/lib/stdlib* %{wingsdir}/lib
rm -rf %{wingsdir}/lib/stdlib*/{examples,include,src}

# copy the esdl binaries
cp -rf %{erlangdir}/lib/esdl* %{wingsdir}/lib
rm -rf %{wingsdir}/lib/esdl*/{include,src,vsn}

# copy erlang binaries and scripts
cp -f %{erlangdir}/erts*/bin/{beam,child_setup,erlexec,inet_gethost} %{wingsdir}/bin
cp -f %{erlangdir}/bin/start.boot %{wingsdir}/bin


find $RPM_BUILD_ROOT -name '.cvsignore' | xargs rm -rf
find $RPM_BUILD_ROOT -name 'README' | xargs rm -f

cat > $RPM_BUILD_ROOT%{_bindir}/wings <<EOF
#!/bin/sh
ROOTDIR=/usr/lib/wings
BINDIR=$ROOTDIR/bin
EMU=beam
PROGNAME=wings
ESDL_PATH=/usr/lib/erlang/lib/esdl-%{esdlver}
export ROOTDIR
export BINDIR
export EMU
export PROGNAME
exec erl -smp disable -pa $ESDL_PATH/ebin -pa /usr/lib/wings/lib/wings-0.99.00b/ebin -run wings_start start_halt ${1+"$@"}
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/wings

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/wings.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps



%clean
[ %{buildroot} != "/" ] && ( rm -rf %{buildroot} )

%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}/applications
%{_datadir}/pixmaps
%{_libdir}/wings

%changelog
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.99.00b-1
- Initial package release
